
SELECT depot, article, quantite
  FROM STOCKS
 ORDER BY depot
COMPUTE SUM(quantite) BY depot
COMPUTE SUM(quantite);


SELECT depot, libelle, article, SUM(quantite) total
  FROM STOCKS stk 
 INNER JOIN ARTICLES art
    ON stk.article=art.reference_art
 INNER JOIN CATEGORIES cat
    ON art.code_cat=cat.code
 WHERE depot IN ('N1','P2')
GROUP BY depot, libelle, article;


SELECT depot, libelle, article, SUM(quantite) total
  FROM STOCKS stk 
 INNER JOIN ARTICLES art
    ON stk.article=art.reference_art
 INNER JOIN CATEGORIES cat
    ON art.code_cat=cat.code
 WHERE depot IN ('N1','P2')
GROUP BY depot, libelle, article
WITH ROLLUP;


SELECT depot, libelle, article, SUM(quantite) total
  FROM STOCKS stk 
 INNER JOIN ARTICLES art
    ON stk.article=art.reference_art
 INNER JOIN CATEGORIES cat
    ON art.code_cat=cat.code
 WHERE depot IN ('N1','P2')
GROUP BY depot, libelle, article
WITH CUBE;


SELECT depot,art.code_cat, 
	   libelle, article,designation_art, 
	   SUM(quantite) OVER (PARTITION BY depot, code_cat) as total
  FROM STOCKS stk 
 INNER JOIN ARTICLES art
    ON stk.article=art.reference_art
 INNER JOIN CATEGORIES cat
    ON art.code_cat=cat.code;