
SELECT numero=cdes.client, ca=SUM(lig.quantite*art.PRIXHT_ART)
  INTO SyntheseClients
  FROM COMMANDES cdes
  INNER JOIN LIGNES_CDE lig ON cdes.numero=lig.commande
  INNER JOIN Articles art on art.REFERENCE_ART=lig.article
  GROUP BY cdes.client;
go

select top(20) * from SyntheseClients;

alter table clients
  add ca numeric(10,2) null;
  
merge clients as cli
using syntheseClients as bilan
on cli.numero=bilan.numero
when matched then
  update set ca=bilan.ca
when not matched by source then
  update set ca=0;