
CREATE FUNCTION nbre_cde(@nocli int) 
  RETURNS int
AS
BEGIN
  DECLARE @nbre int
  SELECT @nbre=count(*)
    FROM COMMANDES
   WHERE client=@nocli
  RETURN @nbre
END
GO
CREATE FUNCTION ArticlesPetitPrix (@seuil int) 
  RETURNS TABLE 
AS
  RETURN (SELECT * FROM ARTICLES WHERE prixht_art<@seuil);
  

CREATE FUNCTION AnalyseClient(@nocli int)
  RETURNS @FicheClient TABLE (libelle nchar(30), valeur int)
AS
BEGIN
  INSERT INTO @FicheClient
    VALUES('Nombre de commandes',dbo.nbre_cde(@nocli))
  INSERT INTO @FicheClient
    SELECT 'Montant total', convert(int, SUM(quantite*prixht_art))
      FROM COMMANDES cde INNER JOIN LIGNES_CDE lig
        ON cde.numero=lig.commande
     INNER JOIN ARTICLES art
        ON lig.article=art.reference_art
  RETURN
END;
  
SELECT dbo.nbre_cde(160001);

SELECT * FROM ArticlesPetitPrix(500)

SELECT * FROM AnalyseClient(160001)


CREATE FUNCTION ftest() 
  RETURNS int
  WITH SCHEMABINDING
AS
BEGIN 
  DECLARE @retour int
  SELECT @retour=count(*) FROM dbo.HISTO_FAC
  RETURN @retour
END
go
DROP TABLE HISTO_FAC


ALTER FUNCTION dbo.ftest(@ref nchar(16)) 
  RETURNS int
  WITH SCHEMABINDING
AS
BEGIN 
  DECLARE @qte_stock int
  SELECT @qte_stock=SUM(quantite)
    FROM dbo.STOCKS
   WHERE article=@ref
  RETURN @qte_stock
END
GO

DROP FUNCTION dbo.ftest;