
alter database Gescom
  add filegroup FileStreamGroup contains filestream;
go
alter database gescom
  add file (
    name=N'gescom_images',
    filename=N'c:\gescom\images'
    ) to filegroup FileStreamGroup;
go
drop table catalogue;
go

create table catalogue (
  id uniqueidentifier rowguidcol not null,
  article nvarchar(16),
  image_art varbinary(max) filestream,
  constraint pk_catalogue primary key(id)
);
go

insert into catalogue (id, article, image_art) values
  (NEWID(),'000397', CAST('iamge article 000397' as varbinary(max))),
  (NEWID(),'000432', CAST('iamge article 000432' as varbinary(max)));