CREATE TABLE CATEGORIES(
  code int identity(1,1) constraint pk_categories primary key,
  libelle varchar(30) null
);

CREATE TABLE COMMANDES(
  numero int identity(1350,1) constraint pk_commandes primary key,
  date_cde datetime2 null,
  taux_remise numeric(2,0),
  client int,
  etat char(2)
);

CREATE TABLE LIGNES_CDE(
  commande int not null,
  ligne int not null,
  article nvarchar(16),
  quantite smallint,
  constraint pk_lignes_cde primary key(commande, ligne) 
);

CREATE TABLE STOCKS(
  article nvarchar(16),
  depot nchar(2),
  quantite int null,
  seuil_mini int null,
  seuil_maxi int null,
  constraint pk_stocks primary key(article, depot)
);