
create table employes(
  id int identity (1,1),
  position hierarchyId,
  nom nvarchar(80),
  prenom nvarchar(80),
  poste nvarchar(80));

alter table employes
 add constraint pk_employes primary key (id);
create index employes_position
  on employes(position);
-- modifier la table pour ajouter une colonne relative au niveau
alter table employes
  add niveau as position.GetLevel();  
create index employes_niveau
  on employes(niveau, position);
  
-- Ajouter le sommet de la hirarchie
insert into employes (position, nom,prenom, poste) 
  values (hierarchyId::GetRoot(), 'DUPONT','Emile','Directeur');
  
declare @patron hierarchyid; 
select @patron=hierarchyid::GetRoot() from employes;
-- Ajouter le second niveau
declare @drh hierarchyid;
declare @compta hierarchyid
set @drh=@patron.GetDescendant(null, null);
insert into employes (position, nom, prenom, poste) 
  values  (@drh,'BARTIN','Jeanne','DRH');
set @compta=@patron.GetDescendant(@drh, null);
insert into employes (position, nom, prenom, poste)  values 
  ( @compta,'MICHALON','Paul','Comptable');
-- ajouter un troisime niveau
insert into employes (position, nom, prenom, poste) values
  (@drh.GetDescendant(null, null),'BERNAUD','Beatrice','Assistante');
insert into employes ( position, nom, prenom, poste) values
  (@compta.GetDescendant(null, null),'MARBOT','Marcel','Assistant');

declare @chef hierarchyid;
select @chef=hierarchyid::GetRoot() from employes

select *
  from employes
  where position.GetAncestor(1)=@chef;
  